package com.brilliance.isc.swift.objmtconvert.model.mt9xx.tag.tag973;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt9xx.MT973Creator;

/**
 * @author hedonghao
 * @date 2023/2/25
 */
public class Tag20Creator extends AbsTagCreate {

    private MT973Creator mt973Creator;

    public Tag20Creator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt973Creator= (MT973Creator) absMTCreator;
    }

    public  void creator()
    {
        String tag20Value=mt973Creator.getTranReferenceNum();
        mt973Creator.set("20",tag20Value);
    }
}
